<?php

/*

---------------------------------------
License Setup
---------------------------------------

Please add your license key, which you've received
via email after purchasing Kirby on http://getkirby.com/buy

It is not permitted to run a public website without a
valid license key. Please read the End User License Agreement
for more information: http://getkirby.com/license

*/

// The license was removed for the public repository
c::set('license', '*snip*');

/*

---------------------------------------
Kirby Configuration
---------------------------------------

By default you don't have to configure anything to
make Kirby work. For more fine-grained configuration
of the system, please check out http://getkirby.com/docs/advanced/options

*/

// Use production assets by default
c::set('assets.suffix', '.min');

// Cache setup
c::set('cache', true);
c::set('cache.ignore', ['contact', 'legal']);

// Representations
c::set('representations.accept', true);

// Language setup
c::set('languages', [
	[
		'code'    => 'en',
		'name'    => 'English',
		'default' => true,
		'locale'  => 'en_US',
		'url'     => 'https://codesignd.com'
	],
	[
		'code'    => 'de',
		'name'    => 'Deutsch',
		'locale'  => 'de_DE',
		'url'     => 'https://codesignd.de'
	]
]);

// Bar-o-mator plugin
c::set('baromator.routes', true);
c::set('baromator.basecolor', '#ED8F1B');

// Cachebuster plugin
c::set('cachebuster', true);

// Patterns plugin
c::set('patterns.title', 'codesignd Patterns');
c::set('patterns.preview.css', ['assets/css/index.css', 'site/patterns/theme.css']);
c::set('patterns.preview.js', 'assets/js/index.js');

// Serve the pattern library theme file
c::set('routes', [
	[
		'pattern' => 'site/patterns/theme\.(:num)\.css',
		'action'  => function() {
			return new Response(f::read(kirby()->roots()->site() . DS . 'patterns' . DS . 'theme.css'), 'css');
		}
	]
]);
