<!DOCTYPE html>
<html lang="<?= $site->language()->code() ?>">
	<head>
		<meta charset="utf-8">
		<meta http-equiv="x-ua-compatible" content="ie=edge">
		<meta name="viewport" content="width=device-width, initial-scale=1">
		
		<title><?= $page->title()->html() ?> ~ <?= $site->title()->html() ?></title>
		<meta name="description" content="<?= $page->description()->or($site->description()) ?>">
		
		<link rel="icon" href="<?= url('assets/img/favicon-96.png') ?>" type="image/png">
		<link rel="apple-touch-icon-precomposed" href="<?= url('assets/img/favicon-152.png') ?>">
		
		<?php foreach($site->languages()->filterBy('code', '!=', $site->language()->code()) as $lang): ?>
		<link rel="alternate" href="<?= $page->url($lang->code()) ?>" hreflang="<?= $lang->code() ?>">
		<?php endforeach ?>
		<link rel="pgpkey" type="application/pgp-keys" href="<?= url('pgp.asc') ?>">
		
		<link rel="preload" href="<?= url('assets/fonts/input-sans-narrow-regular.woff2') ?>" as="font" type="font/woff2" crossorigin>
		
		<?php if($suffix = c::get('assets.suffix')): ?>
		<style><?= f::read('assets/css/index' . $suffix . '.css') ?></style>
		<?php else: ?>
		<?= css('assets/css/index.css') ?>
		<?php endif ?>
	</head>
	<body id="top">
		<?php pattern('shared/2-blocks/header', [
			'pSite'   => 'codesignd',
			'navData' => ['languages' => $site->languages(), 'items' => $site->pages()->visible()]
		]) ?>
